#
# spec file for package bbdb (Version 2.32)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  ctags emacs emacs-nox
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib ctags cyrus-sasl db devs diffutils e2fsprogs emacs emacs-nox file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         bbdb
Summary:      Insidious Big Brother Database (aka BBDB)
Version:      2.32
Release:      116
Copyright:    GPL
Group:        Applications/Editors/Emacs
Requires:     emacs_w3
Source:       http://download.sourceforge.net/bbdb/bbdb-%{version}.tar.bz2
Source1:      suse-start-bbdb.el
Source2:      README.SuSE
BuildRoot:    %{_tmppath}/%{name}-build

%description
An address database for Emacs, "and more".

Authors:
--------
    Jamie Zawinski <jwz@netscape.com>
    Waider <waider@waider.ie>

SuSE series: e

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
cp -p $RPM_SOURCE_DIR/suse-start-bbdb.el .
cp -p $RPM_SOURCE_DIR/README.SuSE .

%build
./configure 
make gnus

%install
export RPM_BUILD_ROOT
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  rm -fr $RPM_BUILD_ROOT
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
#
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/bbdb
%{INSTALL_DATA} lisp/*.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/bbdb/
%{INSTALL_DATA} lisp/*.elc $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/bbdb/
%{INSTALL_DATA} suse-start-bbdb.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/
# tex
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_datadir}/texmf/tex/generic/bbdb/
%{INSTALL_DATA} tex/*.tex $RPM_BUILD_ROOT%{_datadir}/texmf/tex/generic/bbdb/
# info
%{INSTALL_DIR} $RPM_BUILD_ROOT%{_infodir}
%{INSTALL_DATA} texinfo/*.info* $RPM_BUILD_ROOT%{_infodir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch    var/adm/SuSEconfig/run-texhash

%files
%defattr(-, root, root)
%doc INSTALL README README.SuSE
%config %{_datadir}/emacs/site-lisp/suse-start-bbdb.el
%{_datadir}/emacs/site-lisp/bbdb
%{_datadir}/texmf/tex/generic/bbdb
%{_infodir}/bbdb*

%changelog -n bbdb
* Wed Aug 08 2001 - pmladek@suse.cz
- fixed incialization of w3 support (#9324)
  * added (load "suse-start-emacs_w3") before
  (bbdb-initialize ...) in suse-start-bbdb.el
  * added emacs_w3 to requires
* Fri Jul 20 2001 - pmladek@suse.cz
- added touch var/adm/SuSEconfig/run-texhash to post install
  bacause there are some files to tex path
* Thu Apr 19 2001 - pmladek@suse.cz
- install bbdb*.tex files (to support print) [#6872]
- removed useless options from configure [#6872]
- removed hack with link emacs -> emacs-nox because
  this work is made by emacs and emacs-nox packages
- cleaned up spec file
* Wed Mar 14 2001 - ke@suse.de
- Fix typo; thank to Pavel Janik [#6469].
* Wed Mar 14 2001 - ke@suse.de
- Update to version 2.32.
- Recompress source archive file: gzip -> bzip2.
- Add README.SuSE.
- Tweak neededforbuild again: drop X packages; provide an emacs
  link emacs -> emacs-nox (hack).
- Enable %%clean.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Tue Feb 06 2001 - ke@suse.de
- Initial package: version 2.2.
